﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Razor_DropDownList_Selected_Submit.Models;

using Microsoft.AspNetCore.Mvc.Rendering;


namespace Razor_DropDownList_Selected_Submit.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public SelectList Customers { get; set; }

        public void OnGet()
        {
            this.PopulateDropDownList();
        }

        public void PopulateDropDownList()
        {
            this.Customers = new SelectList(this.Context.Customers, "CustomerId", "Name");
        }

        public void OnPostSubmit(string customerId)
        {
            this.PopulateDropDownList();
            ViewData["SelectedValue"] = customerId;
        }
    }
}